Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWarpTo Class Reference

`#include <vtkWarpTo.h>`

Inheritance diagram for vtkWarpTo:

[legend]
Collaboration diagram for vtkWarpTo:

[legend]
List of all members.

## Detailed Description

deform geometry by warping towards a point

Date:
  2002/01/22 15:29:56

Revision:
  1.33

vtkWarpTo is a filter that modifies point coordinates by moving the points towards a user specified position.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (74%)
  - Lorensen, Bill (7%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkWarpTo.cxx)`
  - .`h` (`/Graphics/vtkWarpTo.h)`

Tests:
  vtkWarpTo (Tests)

Definition at line 46 of file vtkWarpTo.h.

## Public Types
typedef vtkPointSetToPointSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
virtual float * | GetPosition ()
virtual void | GetPosition (float data[3])
virtual void | SetPosition (float, float, float)
virtual void | SetPosition (float[3])
virtual void | SetAbsolute (int)
virtual int | GetAbsolute ()
virtual void | AbsoluteOn ()
virtual void | AbsoluteOff ()
## Static Public Methods
vtkWarpTo * | New ()
int | IsTypeOf (const char *type)
vtkWarpTo * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWarpTo ()
| ~vtkWarpTo ()
void | Execute ()
## Protected Attributes
float | ScaleFactor
float | Position [3]
int | Absolute

## Member Typedef Documentation

typedef vtkPointSetToPointSetFilter vtkWarpTo::Superclass

| Reimplemented from vtkPointSetToPointSetFilter. Definition at line 50 of file vtkWarpTo.h.

## Constructor & Destructor Documentation

vtkWarpTo::vtkWarpTo | ( |  | ) | `[protected]`

vtkWarpTo::~vtkWarpTo | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkWarpTo.h.

## Member Function Documentation

vtkWarpTo* vtkWarpTo::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWarpTo::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetToPointSetFilter.

int vtkWarpTo::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

virtual int vtkWarpTo::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

vtkWarpTo* vtkWarpTo::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetToPointSetFilter.

void vtkWarpTo::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetToPointSetFilter.

virtual void vtkWarpTo::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Set/Get the value to scale displacement.

virtual float vtkWarpTo::GetScaleFactor | ( |  | ) | `[virtual]`

| Set/Get the value to scale displacement.

virtual float* vtkWarpTo::GetPosition | ( |  | ) | `[virtual]`

| Set/Get the position to warp towards.

virtual void vtkWarpTo::GetPosition | ( | float | data[3] | ) | `[virtual]`

| Set/Get the position to warp towards.

virtual void vtkWarpTo::SetPosition | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the position to warp towards.

virtual void vtkWarpTo::SetPosition | ( | float | [3] | ) | `[virtual]`

| Set/Get the position to warp towards.

virtual void vtkWarpTo::SetAbsolute | ( | int |  | ) | `[virtual]`

| Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.

virtual int vtkWarpTo::GetAbsolute | ( |  | ) | `[virtual]`

| Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.

virtual void vtkWarpTo::AbsoluteOn | ( |  | ) | `[virtual]`

| Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.

virtual void vtkWarpTo::AbsoluteOff | ( |  | ) | `[virtual]`

| Set/Get the Absolute ivar. Turning Absolute on causes scale factor of the new position to be one unit away from Position.

void vtkWarpTo::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkWarpTo::ScaleFactor`[protected]`

| Definition at line 78 of file vtkWarpTo.h.

float vtkWarpTo::Position[3]`[protected]`

| Definition at line 79 of file vtkWarpTo.h.

int vtkWarpTo::Absolute`[protected]`

| Definition at line 80 of file vtkWarpTo.h.

The documentation for this class was generated from the following file:

- Graphics/vtkWarpTo.h